Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.event
Class SequenceEventType

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.sequence.event.SequenceEventType

public final class SequenceEventType
extends AbstractEnumeration

SequenceEventType.java This class provides an enumerated type for the SequenceEvent class to pass around as an identifier Created: Tue Feb 15 20:10:48 2000

Version:
  $Id: SequenceEventType.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static SequenceEventType` | `DELETE`
`static SequenceEventType` | `GAPDELETE`
`static SequenceEventType` | `GAPINSERT`
`static SequenceEventType` | `INSERT` Indicates a insertion event
`static SequenceEventType` | `SET`
`static SequenceEventType` | `UNSPECIFIED`

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT

    public static final SequenceEventType INSERT

  Indicates a insertion event

### DELETE

    public static final SequenceEventType DELETE

### SET

    public static final SequenceEventType SET

### GAPINSERT

    public static final SequenceEventType GAPINSERT

### GAPDELETE

    public static final SequenceEventType GAPDELETE

### UNSPECIFIED

    public static final SequenceEventType UNSPECIFIED

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD